using System;

namespace TakmicenjePetlja
{
    class Program
    {
        static void Main(string[] args)
        {
            
            string brojevi = "";
            long N = 0;
            long M = 0;
            foreach (char item in Console.ReadLine())
            {
                if (item != ' ') brojevi += item;
                else
                {
                    N = Convert.ToInt64(brojevi);
                    brojevi = "";
                }
            }
            M = Convert.ToInt64(brojevi);
            double potrebniCuvari = 2*N+2*M-4+((N-2)/2)*(M-2);
            if (M % 2 != 0 && N % 2 != 0) potrebniCuvari = 2 * N + 2 * M - 4 + ((N - 2) * (M - 2))/2;
            else potrebniCuvari = 2 * N + 2 * M - 4 + ((N - 2) / 2) * (M - 2);
            Console.WriteLine(potrebniCuvari);

        }
    }
}